اپ‌ها برای انتشار بروزرسانی در گوگل پلی باید با اندروید ۱۰ و ۱۱ سازگار باشند

گوگل یکبار دیگر سطح API موردنیاز تمام اپ‌های ثبت شده در گوگل پلی را تغییر داده و از امروز تمام بروزرسانی‌های اپ‌ها باید اندروید ۱۰ و بالاتر را هدف قرار دهند.

از زمان انتشار نسخه پایدار سیستم عامل اندروید ۱۰ در سپتامبر ۲۰۱۹ تا به امروز، میزان توزیع آن رشد پایداری داشته و پس از نزدیک به ۵ ماه از انتشار، روی نزدیک به ۱۰۰ میلیون دستگاه نصب شد. در آوریل ۲۰۲۰ سهم این سیستم عامل در تمام محصولات اندرویدی قابل تایید گوگل به ۸.۲ درصد رسید که البته سهم آن در ماه‌های اخیر افزایش چشمگیری پیدا کرده است.

با نگاهی به تعداد بالای رابط برنامه‌نویسی کاربردی (API) جدید در اندروید ۱۰، به اهمیت بالای این نسخه از سیستم عامل اندروید پی می‌برید. در این نسخه رابط‌های زیادی مانند پشتیبانی از دستگاه‌های تاشو، پشتیبانی از شبکه 5G، پشتیبانی از تم تاریک و بهبود قابلیت‌های امنیتی به چشم می‌خورند.

اندروید ۱۰

به نظر می‌رسد در حال حاضر اکثر توسعه‌دهندگان برنامه‌های خود را برای اندروید ۱۰ یا نسخه‌های بالاتر سازگار کرده‌اند، با این حال هر توسعه‌دهنده‌ای که دست به چنین کاری نزده اکنون مجبور به پیروی از قوانین گوگل است، در غیراینصورت نمی‌تواند برای برنامه خود بروزرسانی منتشر کند.

با اجبار توسعه‌دهندگان به هدف قرار دادن نسخه سال گذشته اندروید، گوگل امیدوار است که آن‌ها را به استفاده از APIهای جدید تشویق کند تا تجربه کاربری بهتری در اختیار افراد قرار بگیرد.

نسخه‌های قدیمی اندروید در مقایسه با جدیدترین نسخه‌های آن بیشتر مورد استفاده قرار می‌گیرند، با این حال گوگل با برنامه‌های ابتکاری مانند «Project Treble» می‌خواهد به آرامی این شکاف را پر کند و امکان انتشار نسخه‌های جدید و بروزرسانی محصولات را برای سازندگان ساده‌تر از گذشته کند.

انتظار می‌رود سال آینده میلادی شاهد تکرار چنین موضوعی باشیم و گوگل توسعه‌دهندگان را مجبور به هدف قرار دادن اندروید ۱۱ (API سطح ۳۰) کند که جدیدترین نسخه کنونی محسوب می‌شود.

سرور ابری

ویجیاتو

نظرات ۰

وارد شوید

برای گفتگو با کاربران، وارد حساب کاربری خود شوید.

ورود

رمزتان را گم کرده‌اید؟